/*สี hilight*/
.c1 { color: var(--primary); }
.c2 { color: var(--secondary);  }
.c3 { color: var(--accent);  }

.marquee-text-effect {
    display: inline-flex !important;
    overflow: hidden;
}
@keyframes marquee-text-effect {
    0% { transform:translateX(0%);}
    100% { transform:translateX(-100%);}
}
.marquee-text-effect .content-text {
    display: inline-flex;
    justify-content: space-around;
}
.marquee-text-effect .content-text > * {
    display: inline-block;
    padding: 0 10px;
    white-space: nowrap;
}

.footer-link .ba-feature-box:nth-child(n) { margin-top: 1rem !important; }

.home-product .ba-feature-image-wrapper div { background-size: contain; }
.home-product .ba-feature-box:nth-child(2n+1) { background: #fee6e9 !important; }

.slideshow-btn-prev { left: 5vw; }
.slideshow-btn-next { right: 5vw; }

ba-item-field


.ba-item-image-field { flex: 0 0 45%; margin-bottom: 0 !important; }
/* กำหนดพื้นที่ส่วนเนื้อหาให้อยู่ด้านขวาและใช้พื้นที่ที่เหลือ */
.product-info { flex: 1; width: 100%; }
/* จัดให้หัวข้อและข้อมูลอยู่ในบรรทัดเดียวกัน */
.product-info .ba-field-wrapper { display: flex; align-items: flex-start; margin-bottom: 2rem; }
.product-info .ba-field-label { width: 5vw; flex: 0 0 5vw; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
.product-info .ba-field-content { text-align: left !important; flex: 1; padding-left: 1rem; }
.product-info .product-detail p { font-size: 1rem; }

@media (max-width: 768px) {
 		.product-info .ba-field-label { width: 30vw; flex: 0 0 30vw; }
}

table { width: 100%; text-align: center; border: 1px solid #dfdfdf; border-collapse: collapse; }
table th {  color: #ffffff; padding: 10px 0; font-size: 120%; font-weight: 400; background-color: #39c5de;  border: 1px solid #dfdfdf; text-align: center; border: none!important; }
table tr { display: table-row; vertical-align: inherit; border-color: inherit;  }
table tr:nth-child(odd) { background-color: #f2f2f2; }
table td{ padding: 1vw; border: 1px solid #dfdfdf; text-align:center; color:#666; line-height:20px; }
/*========== TEMPLATES : TOP : LOGO & MAIN MENU ===============*/